You are not logged in.

#1 2017-11-14 18:57:49

seawishnew
Member
Registered: 2017-06-17
Posts: 4

[Solved] Pacman ERROR: failed retrieving

I recently tried to upgrade my packages with

$sudo pacman -Syu 

But I got the following error,

error: failed retrieving file 'nm-connection-editor-1.8.6-3-x86_64.pkg.tar.xz' from archlinux.surlyjake.com : The requested URL returned error: 404
error: failed retrieving file 'nm-connection-editor-1.8.6-3-x86_64.pkg.tar.xz' from mirrors.evowise.com : The requested URL returned error: 404
error: failed retrieving file 'nm-connection-editor-1.8.6-3-x86_64.pkg.tar.xz' from mirror.rackspace.com : The requested URL returned error: 404
error: failed retrieving file 'nm-connection-editor-1.8.6-3-x86_64.pkg.tar.xz' from mirror.cse.iitk.ac.in : The requested URL returned error: 404
error: failed retrieving file 'nm-connection-editor-1.8.6-3-x86_64.pkg.tar.xz' from ftp.iitm.ac.in : The requested URL returned error: 404
warning: failed to retrieve some files
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

and this is delaying upgrades for other packages as well.

Recently, I tried installing the cups-filter package and it didn't install because of similar errors because the cups-filters package not being found.

I have also visited the mirror site and was not able to download the package manually. The same 404 error occured.

Please help me! Thanks in advance smile

Last edited by seawishnew (2017-11-16 14:42:24)

Offline

#2 2017-11-14 19:28:37

loqs
Member
Registered: 2014-03-06
Posts: 2,933

Re: [Solved] Pacman ERROR: failed retrieving

See https://www.archlinux.org/packages/extr … on-editor/ nm-connection-editor-1.8.6-3-x86_64.pkg.tar.xz is not the current version so would not be available from synced mirrors.
In addition see https://www.archlinux.org/mirrors/status/ archlinux.surlyjake.com is out of sync by five days so if that is your systems primary mirror then it is obtaining package databases that are five days old.
Suggestion remove the mirror archlinux.surlyjake.com from the systems mirrorlist.
Edit:
spelling/grammar versionso to version so

Last edited by loqs (2017-11-14 19:29:34)

Offline

#3 2017-11-14 19:35:04

Eschwartz
Bug Wrangler
Registered: 2014-08-08
Posts: 1,231

Re: [Solved] Pacman ERROR: failed retrieving

The repos currently have nm-connection-editor 1.8.7dev+3+g3d7c0a89-1, do a full pacman -Syu again

EDIT: ninjaed...

Last edited by Eschwartz (2017-11-14 19:36:03)

Offline

#4 2017-11-16 14:41:17

seawishnew
Member
Registered: 2017-06-17
Posts: 4

Re: [Solved] Pacman ERROR: failed retrieving

loqs wrote:

See https://www.archlinux.org/packages/extr … on-editor/ nm-connection-editor-1.8.6-3-x86_64.pkg.tar.xz is not the current version so would not be available from synced mirrors.
In addition see https://www.archlinux.org/mirrors/status/ archlinux.surlyjake.com is out of sync by five days so if that is your systems primary mirror then it is obtaining package databases that are five days old.
Suggestion remove the mirror archlinux.surlyjake.com from the systems mirrorlist.
Edit:
spelling/grammar versionso to version so

Thank you! It works now!

Offline

Board footer

Powered by FluxBB